import greenfoot.*;

// Button class: create an active button with specified text; also, performs the actions for the buttons
// (this class is specific to this scenario; do not attempt to use in another)
public class Button extends Actor
{
    String text = "";
    
    // Button(String) - constructor for Button class object takes the String to be displayed on the button
    // and creates the button image
    public Button(String txt)
    {
        text = txt;
        GreenfootImage img = new GreenfootImage(438, 30); // adjust for each button added
        img.setColor(Color.GREEN);
        img.fill();
        GreenfootImage txtImg = new GreenfootImage(text, 24, Color.BLACK, Color.GREEN);
        img.drawImage(txtImg, (img.getWidth() - txtImg.getWidth()) / 2, (img.getHeight() - txtImg.getHeight()) / 2);
        img.setColor(Color.BLACK);
        img.drawRect(1, 1, img.getWidth() - 3, img.getHeight() - 3);
        setImage(img);
    }

    // act() checks and acts on button click
    // since 'UNDO' IS the only button, act() itself is coded for it
    public void act() 
    {
        Board board = (Board) getWorld();
        if (Greenfoot.mouseClicked(this))
        {
            if ("UNDO".equals(text) && board.moveCount > 0)
            {
                board.removeObjects(board.getObjects(Icon.class));
                board.takeBack(board.gameMoves[board.moveCount - 1]);
                board.updatePosition();
                board.info.updateImage();
                board.updateMoveList();
            }
            // add an 'if' block to perform duties for each extra button added 
        }
    }    
}