import greenfoot.*;

public class Panel extends Actor
{
    // Panel(String) - constructor for panel class takes a String filename
    // and creates the panel with the image from the given file
    public Panel(String panel)
    {
        GreenfootImage img = new GreenfootImage(1040, 600); // creates base image to be main image of object
        if ("header.png".equals(panel))
        { // title page
            img.setColor(Color.WHITE); // sets fill color to hide everything
        }
        else
        { // not title page
            img.setColor(new Color(0, 0, 0, 96)); // sets fill color to allow information frame to be viewed while panel is showing
        }
        img.fill(); // color fill the image
        GreenfootImage insert = new GreenfootImage(panel); // gets the image to be inserted on left side of base image
        insert.scale(600, 600); // sizes the insert to fit left size of base image
        GreenfootImage clickTxt = new GreenfootImage("Click to remove", 24, Color.BLACK, Color.CYAN); // creates instruction text image
        insert.drawImage(clickTxt, 300 - clickTxt.getWidth() / 2, 500); // adds instruction text image to insert
        img.drawImage(insert, 0, 0); // adds insert to base image, finalizing the main image
        setImage(img); // sets the main image to be the image of the object
    }
    
    // act() checks and acts on panel click by removing the panel
    public void act() 
    {
        if (Greenfoot.mouseClicked(this)) getWorld().removeObject(this);
    }    
}
